BGP Support for Four-octet AS Number Space
RFC 4893

Revision differences

Document history

Date Rev. By Action
2015-10-14
13 (System) Notify list changed from idr-chairs@ietf.org, gih@apnic.net, narten@us.ibm.com, quaizar.vohra@gmail.com, enkechen@cisco.com to narten@us.ibm.com, gih@apnic.net
2012-08-22
13 (System) post-migration administrative database adjustment to the No Objection position for Bill Fenner
2007-05-22
13 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2007-05-22
13 Amy Vezza [Note]: 'RFC 4893' added by Amy Vezza
2007-05-18
13 (System) RFC published
2007-04-03
13 (System) IANA Action state changed to RFC-Ed-Ack from Waiting on RFC Editor
2007-04-02
13 (System) IANA Action state changed to Waiting on RFC Editor from In Progress
2007-04-02
13 (System) IANA Action state changed to In Progress from Waiting on Authors
2007-04-01
13 (System) IANA Action state changed to Waiting on Authors from In Progress
2007-03-28
13 (System) IANA Action state changed to In Progress from Waiting on Authors
2007-03-26
13 (System) IANA Action state changed to Waiting on Authors from In Progress
2007-03-12
13 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2007-03-12
13 (System) IANA Action state changed to In Progress
2007-03-09
13 Amy Vezza IESG state changed to Approved-announcement sent
2007-03-09
13 Amy Vezza IESG has approved the document
2007-03-09
13 Amy Vezza Closed "Approve" ballot
2007-02-22
13 Bill Fenner State Changes to Approved-announcement to be sent from IESG Evaluation::AD Followup by Bill Fenner
2007-02-22
13 Bill Fenner [Ballot Position Update] Position for Bill Fenner has been changed to No Objection from Discuss by Bill Fenner
2007-02-07
13 (System) New version available: draft-ietf-idr-as4bytes-13.txt
2006-11-30
13 Yoshiko Fong
This is a late IANA Last Call Comment

With the recent approval from the IESG to the IANA to extend
the registry AS numbers per ...
2006-11-08
13 (System) Request for Early review by SECDIR Completed. Reviewer: Vidya Narayanan.
2006-10-27
13 Bill Fenner State Change Notice email list have been change to idr-chairs@tools.ietf.org, gih@apnic.net, narten@us.ibm.com, quaizar.vohra@gmail.com, enkechen@cisco.com from idr-chairs@tools.ietf.org
2006-10-27
13 Bill Fenner
Reply from Geoff Huston regarding IANA Considerations:

From: Geoff Huston <gih@apnic.net>
Subject: Re: IANA considerations in  draft-ietf-idr-as4bytes-12.txt
Date: Wed, Oct 4 09:20:19
To: Thomas Narten ...
2006-10-27
13 Bill Fenner
Email from Thomas Narten regarding IANA Considerations:

From: Thomas Narten <narten@us.ibm.com>
Subject: IANA considerations in  draft-ietf-idr-as4bytes-12.txt
Date: Wed, Oct 4 07:55:25
To: Geoff Huston <gih@apnic.net> ...
2006-10-27
13 (System) Removed from agenda for telechat - 2006-10-26
2006-10-26
13 Amy Vezza State Changes to IESG Evaluation::AD Followup from IESG Evaluation by Amy Vezza
2006-10-26
13 Bill Fenner
[Ballot discuss]
I want to discuss some of the IESG evaluation with the authors/WG - particularly, IANA Considerations (especially putting the value of AS_TRANS in ...
2006-10-26
13 Bill Fenner [Ballot Position Update] Position for Bill Fenner has been changed to Discuss from Yes by Bill Fenner
2006-10-26
13 Bill Fenner
[Ballot discuss]
I want to discuss some of the IESG evaluation with the authors/WG - particularly, IANA Considerations (especially putting the value of AS_TRANS in ...
2006-10-26
13 (System) [Ballot Position Update] Position for Bill Fenner has been changed to Yes from Discuss by IESG Secretary
2006-10-26
13 Bill Fenner [Ballot Position Update] Position for Bill Fenner has been changed to Discuss from Yes by Bill Fenner
2006-10-26
13 (System) [Ballot Position Update] New position, No Objection, has been recorded for Brian Carpenter by IESG Secretary
2006-10-26
13 Jon Peterson [Ballot Position Update] New position, No Objection, has been recorded by Jon Peterson
2006-10-25
13 David Kessens
[Ballot comment]
Although this draft has been a long time in the making and has had a large
number of revisions, I am a bit ...
2006-10-25
13 David Kessens [Ballot Position Update] New position, No Objection, has been recorded by David Kessens
2006-10-25
13 Jari Arkko [Ballot Position Update] New position, No Objection, has been recorded by Jari Arkko
2006-10-25
13 Ross Callon [Ballot Position Update] New position, No Objection, has been recorded by Ross Callon
2006-10-25
13 Mark Townsley [Ballot Position Update] New position, Yes, has been recorded by Mark Townsley
2006-10-25
13 Cullen Jennings [Ballot Position Update] New position, No Objection, has been recorded by Cullen Jennings
2006-10-24
13 Russ Housley
[Ballot comment]
To make it easier to update these attributes in the future, if needed.
  I suggest the use of a different prefix:
  ...
2006-10-24
13 Russ Housley [Ballot Position Update] New position, No Objection, has been recorded by Russ Housley
2006-10-24
13 Sam Hartman
[Ballot comment]
I don't think this document is clear enough that I would have a
reasonbly good probability of successfully taking a BGP
implementation, the ...
2006-10-24
13 Sam Hartman [Ballot Position Update] New position, Abstain, has been recorded by Sam Hartman
2006-10-24
13 Magnus Westerlund [Ballot Position Update] New position, No Objection, has been recorded by Magnus Westerlund
2006-10-23
13 Ted Hardie [Ballot Position Update] New position, No Objection, has been recorded by Ted Hardie
2006-10-23
13 Lars Eggert
[Ballot comment]
Section 1., paragraph 2:
>    Two new
>    attributes, NEW_AS_PATH and NEW_AGGREGATOR, are introduced that can
>    be used to ...
2006-10-23
13 Lars Eggert [Ballot Position Update] New position, No Objection, has been recorded by Lars Eggert
2006-10-23
13 Dan Romascanu [Ballot Position Update] New position, No Objection, has been recorded by Dan Romascanu
2006-10-18
13 Bill Fenner State Changes to IESG Evaluation from Waiting for Writeup by Bill Fenner
2006-10-18
13 Bill Fenner
Secdir review from Vidya Narayanan:

From: "Narayanan, Vidya" <vidyan@qualcomm.com>
Subject: Secdir review of draft-ietf-idr-as4bytes-12
Date: Mon, Sep 11 23:37:00
To: <iesg@ietf.org>, <secdir@mit.edu>
Cc: skh@nexthop.com, qv@juniper.net, ...
2006-10-18
13 Bill Fenner
IETF Last Call comment from John Leslie:

From: John Leslie <john@jlc.net>
Subject: Re: Last Call: 'BGP Support for Four-octet AS Number Space' to Proposed Standard ...
2006-10-18
13 Bill Fenner Placed on agenda for telechat - 2006-10-26 by Bill Fenner
2006-10-18
13 Bill Fenner [Ballot Position Update] New position, Yes, has been recorded for Bill Fenner
2006-10-18
13 Bill Fenner Ballot has been issued by Bill Fenner
2006-10-18
13 Bill Fenner Created "Approve" ballot
2006-09-15
13 Yoshiko Fong
IANA Last Call Comments:

First Action:

Upon approval of this document, the IANA will change the rules for
assignments in the "AUTONOMOUS SYSTEM NUMBERS" registry ...
2006-09-12
13 (System) State has been changed to Waiting for Writeup from In Last Call by system
2006-08-28
13 Amy Vezza Last call sent
2006-08-28
13 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2006-08-28
13 Bill Fenner State Changes to Last Call Requested from AD Evaluation by Bill Fenner
2006-08-28
13 Bill Fenner Last Call was requested by Bill Fenner
2006-08-28
13 (System) Ballot writeup text was added
2006-08-28
13 (System) Last call text was added
2006-08-28
13 (System) Ballot approval text was added
2006-06-12
13 Bill Fenner
[AS-EXT-COMM] should be draft-rekhter-as4octet-ext-community .  IMO, this could be an informative reference, since it's just advice, not normative behavior.

I think the IANA considerations (and ...
2006-06-12
13 Bill Fenner State Changes to AD Evaluation from Publication Requested by Bill Fenner
2006-06-12
13 Bill Fenner State Change Notice email list have been change to idr-chairs@tools.ietf.org from skh@nexthop.com, yakov@juniper.net
2005-12-16
13 Bill Fenner
From: Yakov Rekhter <yakov@juniper.net>
Subject: 4 bytes AS to PS
Date: Sat, Nov 12 20:24:11
To: "Bill Fenner" <fenner@research.att.com>, zinin@psg.com
Cc: idr@ietf.org, skh@nexthop.com

Bill and ...
2005-12-16
13 Bill Fenner Draft Added by Bill Fenner in state Publication Requested
2005-11-11
12 (System) New version available: draft-ietf-idr-as4bytes-12.txt
2005-09-28
11 (System) New version available: draft-ietf-idr-as4bytes-11.txt
2005-07-14
10 (System) New version available: draft-ietf-idr-as4bytes-10.txt
2004-12-21
09 (System) New version available: draft-ietf-idr-as4bytes-09.txt
2004-03-16
08 (System) New version available: draft-ietf-idr-as4bytes-08.txt
2003-08-25
07 (System) New version available: draft-ietf-idr-as4bytes-07.txt
2002-12-16
06 (System) New version available: draft-ietf-idr-as4bytes-06.txt
2002-05-02
05 (System) New version available: draft-ietf-idr-as4bytes-05.txt
2001-09-05
04 (System) New version available: draft-ietf-idr-as4bytes-04.txt
2001-05-09
03 (System) New version available: draft-ietf-idr-as4bytes-03.txt
2001-04-26
02 (System) New version available: draft-ietf-idr-as4bytes-02.txt
2001-02-13
01 (System) New version available: draft-ietf-idr-as4bytes-01.txt
2001-01-30
00 (System) New version available: draft-ietf-idr-as4bytes-00.txt